Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | Static Public Member Functions | List of all members
Botan::LibraryInitializer Class Referencefinal

`#include <init.h>`

## Public Member Functions
| LibraryInitializer (const std::string &="")

## Static Public Member Functions
static void | deinitialize ()
static void | initialize (const std::string &="")

## Detailed Description

Definition at line 24 of file init.h.

## Constructor & Destructor Documentation

## ◆ LibraryInitializer()

Botan::LibraryInitializer::LibraryInitializer | ( | const std::string & | = `""` | ) |
| inline explicit

Definition at line 27 of file init.h.

27{ }

## Member Function Documentation

## ◆ deinitialize()

static void Botan::LibraryInitializer::deinitialize | ( |  | ) |
| inline static

Definition at line 30 of file init.h.

30{}

## ◆ initialize()

static void Botan::LibraryInitializer::initialize | ( | const std::string & | = `""` | ) |
| inline static

Definition at line 29 of file init.h.

29{}

The documentation for this class was generated from the following file:

- src/lib/base/init.h